Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# ACE_Asynch_Pseudo_Task Class Reference

`#include <Asynch_Pseudo_Task.h>`

Inheritance diagram for ACE_Asynch_Pseudo_Task:

[legend]
Collaboration diagram for ACE_Asynch_Pseudo_Task:

[legend]
List of all members.

## Public Member Functions
| ACE_Asynch_Pseudo_Task ()
virtual | ~ACE_Asynch_Pseudo_Task ()
int | start (void)
int | stop (void)
int | register_io_handler (ACE_HANDLE handle, ACE_Event_Handler *handler, ACE_Reactor_Mask mask, int flg_suspend)
int | remove_io_handler (ACE_HANDLE handle)
int | remove_io_handler (ACE_Handle_Set &set)
int | resume_io_handler (ACE_HANDLE handle)
int | suspend_io_handler (ACE_HANDLE handle)
## Protected Member Functions
virtual int | svc (void)
| Run by a daemon thread to handle deferred processing.
## Protected Attributes
ACE_Select_Reactor | select_reactor_
ACE_Reactor | reactor_
| Pointer to the various event demultiplexors.

## Constructor & Destructor Documentation

ACE_BEGIN_VERSIONED_NAMESPACE_DECL ACE_Asynch_Pseudo_Task::ACE_Asynch_Pseudo_Task | ( |  | ) |

ACE_Asynch_Pseudo_Task::~ACE_Asynch_Pseudo_Task | ( |  | ) | `[virtual]`

## Member Function Documentation

int ACE_Asynch_Pseudo_Task::register_io_handler | ( | ACE_HANDLE | handle,
|  | ACE_Event_Handler * | handler,
|  | ACE_Reactor_Mask | mask,
|  | int | flg_suspend
| ) |

int ACE_Asynch_Pseudo_Task::remove_io_handler | ( | ACE_Handle_Set & | set | ) |

int ACE_Asynch_Pseudo_Task::remove_io_handler | ( | ACE_HANDLE | handle | ) |

int ACE_Asynch_Pseudo_Task::resume_io_handler | ( | ACE_HANDLE | handle | ) |

int ACE_Asynch_Pseudo_Task::start | ( | void |  | ) |

int ACE_Asynch_Pseudo_Task::stop | ( | void |  | ) |

int ACE_Asynch_Pseudo_Task::suspend_io_handler | ( | ACE_HANDLE | handle | ) |

int ACE_Asynch_Pseudo_Task::svc | ( | void |  | ) | `[protected, virtual]`

| Run by a daemon thread to handle deferred processing. Reimplemented from ACE_Task_Base.

## Member Data Documentation

ACE_Reactor ACE_Asynch_Pseudo_Task::reactor_`[protected]`

| Pointer to the various event demultiplexors. Reimplemented from ACE_Event_Handler.

ACE_Select_Reactor ACE_Asynch_Pseudo_Task::select_reactor_`[protected]`

The documentation for this class was generated from the following files:

- Asynch_Pseudo_Task.h
- Asynch_Pseudo_Task.cpp